import { Element } from "../../components/element.interface";
import { Scene } from '../../components/scene/scene';
import { Logger } from "../../libs/logger";
import { ExecJsProps } from "./exec-js.props";
export declare class ExecJs implements Element {
    script?: string;
    path?: string;
    ignoreVarsBeforeExec: string[];
    logger: Logger;
    scene: Scene;
    init(props: ExecJsProps): Promise<void>;
    exec(): Promise<any>;
    dispose(): Promise<void>;
}
