import { Element } from "../../components/element.interface";
import { Scene } from '../../components/scene/scene';
import { Logger } from "../../libs/logger";
import { ExecShProps } from "./exec-sh.props";
export declare class ExecSh implements Element {
    #private;
    logger: Logger;
    scene: Scene;
    script?: string;
    path?: string;
    bin: string;
    init(props: ExecShProps): Promise<void>;
    exec(): Promise<unknown>;
    dispose(): Promise<void>;
}
