import { Element } from "../../components/element.interface";
import { Scene } from '../../components/scene/scene';
import { Logger } from "../../libs/logger";
import { FileReadProps } from "./file-read.props";
export declare class FileRead implements Element, FileReadProps {
    path: string;
    vars: any;
    format?: 'json' | 'yaml';
    data: any;
    title?: string;
    scene: Scene;
    logger: Logger;
    init(props: FileReadProps): Promise<void>;
    exec(): Promise<string>;
    dispose(): Promise<void>;
    private getFormater;
}
