import { Element } from "../../components/element.interface";
import { Scene } from '../../components/scene/scene';
import { Logger } from '../../libs/logger';
import { GroupElement } from "./group.interface";
import { GroupItemProps, GroupProps } from "./group.props";
export declare class Group<GP extends GroupProps, GIP extends GroupItemProps, P extends GroupElement> implements GroupElement {
    title: string;
    parent: P;
    ignoreVarsBeforeExec: string[];
    count: number;
    protected runs: GIP[];
    logger: Logger;
    scene: Scene;
    private asyncJobs;
    setVarsAfterExec?(): Promise<void>;
    init(props: GP | GIP[]): Promise<void>;
    exec(input?: any): Promise<Element[]>;
    dispose(): Promise<void>;
    private execElement;
}
