import { Logger } from './../libs/logger';
import { Element } from './element.interface';
import { Group } from './group/group';
import { Scene } from './scene/scene';
export declare class ElementBuilder {
    private scene;
    private elem;
    constructor(scene: Scene);
    logger(logger: Logger): this;
    tag(name: string): this;
    parent(g: Group<any, any, any>): this;
    element(ElementClazz: new (...args: any[]) => Element, ...args: any[]): this;
    build<T extends Element>(): T;
}
