/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import { Element } from "../../components/element.interface";
import { Scene } from '../../components/scene/scene';
import { Logger } from "../../libs/logger";
import { ExecProps } from "./exec.props";
export declare class Exec implements Element {
    title?: string;
    commands: string[];
    scene: Scene;
    logger: Logger;
    init(props: ExecProps): Promise<void>;
    exec(): Promise<{
        code: number;
        signal: NodeJS.Signals;
    }>;
    dispose(): Promise<void>;
}
