import { Element } from "../../components/element.interface";
import { Logger } from "../../libs/logger";
import { Scene } from '../scene/scene';
import { GlobalVarsProps } from "./global-vars.props";
export declare class GlobalVars implements Element {
    props: object;
    tag: string;
    logger: Logger;
    scene: Scene;
    ignoreVarsBeforeExec: string[];
    init(props: GlobalVarsProps): Promise<void>;
    exec(): Promise<void>;
    dispose(): Promise<void>;
}
